# Uses of Enum Class
org.apache.lucene.util.FileDeleter.MsgType

Packages that use FileDeleter.MsgType
Package
Description
org.apache.lucene.util
Some utility classes.

- ## Uses of FileDeleter.MsgType in org.apache.lucene.util

  Methods in org.apache.lucene.util that return FileDeleter.MsgType
  Modifier and Type
  Method
  Description
  `static FileDeleter.MsgType`
  FileDeleter.MsgType.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FileDeleter.MsgType[]`
  FileDeleter.MsgType.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Constructor parameters in org.apache.lucene.util with type arguments of type FileDeleter.MsgType
  Modifier
  Constructor
  Description
  ``
  `FileDeleter(Directory directory, BiConsumer<FileDeleter.MsgType,String> messenger)`
  Create a new FileDeleter with a messenger consumes various verbose messages